#!/bin/sh
# prerm script for powerman
#
# see: dh_installdeb(1)

set -e

case "$1" in
    remove)
      # remove a powerman system user      
      if [ -n "`getent passwd powerman`" ]; then
        deluser powerman
      fi
    # remove the runtime directory
    if [ ! -d /run/powerman ]; then
      rm -rf /run/powerman
    fi
    ;;
    failed-upgrade|upgrade|deconfigure)
      # do nothing
    ;;

    *)
      echo "$0 called with unknown argument \`$1'" >&2
      exit 1
    ;;
esac

#DEBHELPER#

exit 0


